<%@ page contentType="text/html;charset=UTF-8" language="java"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Hans Design</title>
    <link href="${pageContext.request.contextPath}/static/hsa/css/inside.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/hsa/css/jquery.mCustomScrollbar.css">
    <script src="${pageContext.request.contextPath}/static/hsa/js/jquery-1.4.2.min.js" type="text/javascript"></script>
    <script src="${pageContext.request.contextPath}/static/hsa/js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="${pageContext.request.contextPath}/static/hsa/js/jsin.js" type="text/javascript"></script>

</head>

<body>

<%@ include file="../hsaEn/head.jsp" %>

<div class="mainalltil">
    <h3>
        <span class="mtlfs"></span>
        <c:forEach items="${list01}" var="p">
            <span>
                <a style="padding:0 10px;" href="project_list_en.html?cid=${p.id}"  <c:if test="${p.id == cid}"> class="sroton" </c:if> >${p.name}</a>
                <ul style="width:100%;">
                    <c:forEach items="${list02}" var="b">
                        <c:if test="${b.cid == p.id}" >
                            <li style="width:100%;"><a style="width:100%;" href="project_list_en.html?cid=${p.id}&wid=${b.id}" >${b.name}</a></li>
                        </c:if>
                    </c:forEach>
                </ul>
            </span>
        </c:forEach>
    </h3>
</div>

<div class="mainlist">
    <c:forEach items="${list}" var="p">
        <div><a onclick="product_com(${p.id})">
            <div><img src="${p.img}" width="200" height="200" /></div>
            <p>${p.name}</p></a>
        </div>
    </c:forEach>
</div>
<input value="${cid}" type="hidden" id="cid_s"/>
<input value="${wid}" type="hidden" id="wid_s"/>
<%@ include file="../hsaEn/footer.jsp" %>
<script type="text/javascript">

    function product_com(pid) {
        window.location.href='projects_en.html?pid='+pid+'&wid='+$("#wid_s").val()+'&cid='+$("#cid_s").val();
    }

</script>

</body>
</html>
