<%@ page contentType="text/html;charset=UTF-8" language="java"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/hsawap/css/template/reset.css" media="all" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/hsawap/css/template/snower.css" media="all" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/hsawap/css/template/common.css" media="all" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/hsawap/css/template/home-19.css" media="all" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/hsawap/css/template/home-menu-2.css" media="all" />
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/src/template/maivl.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/src/jQuery.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/src/template/swipe2.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/src/template/zepto.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/js/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/js/js.js"></script>
    <title>汉思设计</title>
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
    <meta content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport">
    <!-- Mobile Devices Support @begin -->
    <meta content="application/xhtml+xml;charset=UTF-8" http-equiv="Content-Type">
    <meta content="no-cache,must-revalidate" http-equiv="Cache-Control">
    <meta content="no-cache" http-equiv="pragma">
    <meta content="0" http-equiv="expires">
    <meta content="telephone=no, address=no" name="format-detection">
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <!-- apple devices fullscreen -->
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/hsawap/wm-xin-a/font-awesome.css" media="all" />
    <!-- Mobile Devices Support @end -->

</head>
<body>

<div class="body1">
    <div class="Top_logo">
        <div class="img"><a href="index_wap.html"><img src="${pageContext.request.contextPath}/static/hsawap/img/Logo.jpg" width="90" height="75"></a></div>
    </div>
    <!--幻灯片管理-->
    <div style="-webkit-transform:translate3d(0,0,0); padding:1px 2px;">
        <div id="banner_box" class="box_swipe">
            <ul>
                <c:forEach items="${list02}" var="p">
                    <c:if test="${p.identity==0}">
                        <li><a href="${p.hrefs}"><img src="${p.img}" alt="1" style="width:100%;height: 220px" /></a></li>
                    </c:if>
                </c:forEach>
            </ul>
        </div>
    </div>
    <script>
        $(function(){
            new Swipe(document.getElementById('banner_box'), {
                speed:2000,
                auto:2500,
                continuous:false,
                callback: function(){
                    var lis = $(this.element).next("ol").children();
                    lis.removeClass("on").eq(this.index).addClass("on");
                }
            });
        });
    </script>
    <header>

    </header>
    <section>
        <div class="Zhuye" style="padding:0px 2px;">
            <div class="left">
                <c:forEach items="${list02}" var="p">
                    <c:if test="${p.id==2}">
                        <a href="${p.hrefs}" ><img src="${p.img}"></a>
                    </c:if>
                </c:forEach>
            </div>
            <div class="right">
                <div class="tt">
                    <c:forEach items="${list02}" var="p">
                        <c:if test="${p.id==1}">
                            <a href="${p.hrefs}" ><img src="${p.img}" width="600" height="300"></a>
                        </c:if>
                    </c:forEach>
                </div>
                <div class="lanmu">
                    <div class="n1"><a href="project_list_wap.html" >经典案例</a></div>
                    <div class="n2"><a href="designs_wap.html?pid=0" >关于汉思</a></div>
                    <div class="n3"><a href="news_wap.html" >汉思动态</a></div>
                    <div class="n4"><a href="contact_wap.html" >联系我们</a></div>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- 底部导航 -->

</body>
</html>
