<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>汉思设计</title>
    <link href="${pageContext.request.contextPath}/static/hsa/css/inside.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/hsa/css/jquery.mCustomScrollbar.css">
    <script src="${pageContext.request.contextPath}/static/hsa/js/jquery-1.4.2.min.js" type="text/javascript"></script>
    <script src="${pageContext.request.contextPath}/static/hsa/js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="${pageContext.request.contextPath}/static/hsa/js/jsin.js" type="text/javascript"></script>

</head>

<body>

<%@ include file="../hsa/head.jsp" %>

<%--<div class="mainalltil">
    <h3>
        <span class="mtlfs"></span>
        <c:forEach items="${list02}" var="p">
            <span>
                <a href="projects.html?cid=${p.cid}&wid=${p.id}"  <c:if test="${p.id == wid}"> class="sroton" </c:if> >${p.name}</a>
            </span>
        </c:forEach>
    </h3>
</div>--%>

<div class="mainalltil">
    <h3>
        <span class="mtlfs"></span>
        <c:forEach items="${list01}" var="p">
            <span>
                <a href="project_list.html?cid=${p.id}"  <c:if
                        test="${p.id == cid}"> class="sroton" </c:if> >${p.name}</a>
                <ul>
                    <c:forEach items="${list02}" var="b">
                        <c:if test="${b.cid == p.id}">
                            <li><a href="project_list.html?cid=${p.id}&wid=${b.id}">${b.name}</a></li>
                        </c:if>
                    </c:forEach>
                </ul>
            </span>
        </c:forEach>
    </h3>
</div>

<c:if test="${product != null}">
    <div class="mainall">
        <div class="maleft">
            <div class="pro_edit">
                    ${product.context}
            </div>
        </div>


        <div class="maright">
            <div class="projects">
                <h3>${product.name}</h3>
                <div class="proalls">
                    <div>

                        <c:if test="${product.sites != null and product.sites != ''}">
                            <p>项目地点：${product.sites}</p>
                        </c:if>

                        <c:if test="${product.areas != null and product.areas != ''}">
                            <p>项目规模：${product.areas}</p>
                        </c:if>

                        <c:if test="${product.progress != null and product.progress != ''}">
                            <p>项目进展：${product.progress}</p>
                        </c:if>

                        <c:if test="${product.heighs != null and product.heighs != '' }">
                            <p>建筑高度：${product.heighs}</p>
                        </c:if>

                        <c:if test="${product.times != null and product.times != ''}">
                            <p>设计日期：${product.times}</p>
                        </c:if>

                        <c:if test="${product.timess != null and product.timess != ''}">
                            <p>竣工日期：${product.timess}</p>
                        </c:if>

                        <c:if test="${product.cooperate != null and product.cooperate != ''}">
                            <p>合作单位：${product.cooperate}</p>
                        </c:if>

                    </div>
                </div>
            </div>
            <div class="prolist">
            <span class="ret">
                <a href="javascript:;" onclick="first_add()" id="num01"><img
                        src="${pageContext.request.contextPath}/static/hsa/images/lift.png" alt="上一页"/></a>
                <a href="javascript:;" onclick="last_add()" id="num02"><img
                        src="${pageContext.request.contextPath}/static/hsa/images/liht.png" alt="下一页"/></a>
            </span>
            </div>
        </div>
    </div>
</c:if>

<%@ include file="../hsa/footer.jsp" %>
<input type="hidden" value="${pageNum}" id="add_01"/>
<input type="hidden" value="${lastNum}" id="add_03"/>
<input type="hidden" value="${cid}" id="add_04"/>
<input type="hidden" value="${wid}" id="add_05"/>


<script type="text/javascript">
    function first_add() {
        if ($("#add_01").val() == 0) {
            alert("这已经是第一个了!")
        } else {
            window.location.href = 'projects_own.html?pid=' + $("#add_01").val() + '&cid=' + $("#add_04").val() + '&wid=' + $("#add_05").val();
        }
    }

    function last_add() {
        if ($("#add_01").val() == $("#add_03").val()) {
            alert("这已经是最后一个了!");
        } else {
            window.location.href = 'projects_next.html?pid=' + $("#add_01").val() + '&cid=' + $("#add_04").val() + '&wid=' + $("#add_05").val();
        }
    }

</script>
</body>

</html>
