<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/hsawap/css/template/reset.css" media="all"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/hsawap/css/template/snower.css" media="all"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/hsawap/css/template/common.css" media="all"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/hsawap/css/template/home-19.css" media="all"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/hsawap/css/template/home-menu-2.css" media="all"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/static/hsawap/src/template/maivl.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/src/jQuery.js"></script>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/static/hsawap/src/template/swipe2.js"></script>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/static/hsawap/src/template/zepto.js"></script>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/static/hsawap/js/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/hsawap/js/js.js"></script>
    <title>汉思设计</title>
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
    <meta content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no"
          name="viewport">
    <!-- Mobile Devices Support @begin -->
    <meta content="application/xhtml+xml;charset=UTF-8" http-equiv="Content-Type">
    <meta content="no-cache,must-revalidate" http-equiv="Cache-Control">
    <meta content="no-cache" http-equiv="pragma">
    <meta content="0" http-equiv="expires">
    <meta content="telephone=no, address=no" name="format-detection">
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <!-- apple devices fullscreen -->
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/hsawap/wm-xin-a/font-awesome.css" media="all"/>
    <!-- Mobile Devices Support @end -->

</head>

<body>


<%@ include file="../hsawap/head_wap.jsp" %>


<div class="body">
    <section>
        <div class="About_ul About_ul_li">
            <div class="sort_w">
                <div class="sort">
                    <c:if test="${list02!=null}">
                        <c:forEach items="${list02}" var="p">
                            <li <c:if test="${p.id==wid}"> class="back_red" </c:if> >
                                <a href="project_list_wap.html?cid=${p.cid}&wid=${p.id}">
                                    <div class="distable">
                                        <span>${p.name}</span>
                                    </div>
                                </a>
                            </li>
                        </c:forEach>
                    </c:if>
                    <c:if test="${list02==null}">
                        <c:forEach items="${list01}" var="p">
                            <li <c:if test="${p.id==cid}"> class="back_red" </c:if> >
                                <a href="project_list_wap.html?cid=${p.id}">
                                    <div class="distable">
                                        <span>${p.name}</span>
                                    </div>
                                </a>
                            </li>
                        </c:forEach>
                    </c:if>
                    <div class="clear"></div>
                </div>

            </div>


            <c:forEach var="p" items="${list}">
                <div class="Ab">
                    <div class="YZC">
                        <a href="projects_wap.html?pid=${p.id}">
                            <div class="Left"><img src="${p.img}" width="100%" height="100%"/></div>
                            <div class="right">
                                <p>${p.name}</p>
                                <c:if test="${p.sites != null and p.sites != ''}">
                                    <p>项目地点：${p.sites}</p>
                                </c:if>

                                <c:if test="${p.areas != null and p.areas != ''}">
                                    <p>项目规模：${p.areas}</p>
                                </c:if>

                                <c:if test="${p.progress != null and p.progress != ''}">
                                    <p>项目进展：${p.progress}</p>
                                </c:if>

                                <c:if test="${p.heighs != null and p.heighs != '' }">
                                    <p>建筑高度：${p.heighs}</p>
                                </c:if>

                                <c:if test="${p.times != null and p.times != ''}">
                                    <p>设计日期：${p.times}</p>
                                </c:if>

                                <c:if test="${p.timess != null and p.timess != ''}">
                                    <p>竣工日期：${p.timess}</p>
                                </c:if>
                            </div>
                        </a>
                    </div>
                </div>
            </c:forEach>
            ${p.detail}


        </div>
    </section>
</div>

<jsp:include page="/footer_wap.html"/>
<!-- 底部导航 -->

<script type="text/javascript">


</script>


</body>
</html>
